Subject: Re: [PATCH v2] do not overwrite untracked during merge from unborn branch

From: Miles Bader <[email-masked]>
Date: Mon, 15 Nov 2010 10:51:06 +0900

Clemens Buchacher <[email-masked]> writes:
> Wrong again! (With args[6] instead of args[7].)  I wonder how many
> times I can get it wrong.

Hmm, well the use of external processes to implement such seemingly
basic functionality doesn't exactly help with the argument checking...

... and now that I look (though only briefly :), builtin/read-tree.c
seems almost trivial -- with the bulk of the code devoted to argument
parsing, error reporting, and handling different cases...!

Maybe it would be better to just rewrite "read_empty" (and
"reset_hard"?) in terms of the underlying functions read-tree.c uses?

-Miles

-- 
`Cars give people wonderful freedom and increase their opportunities.
 But they also destroy the environment, to an extent so drastic that
 they kill all social life' (from _A Pattern Language_)